Update Recurring Resident Charge: Rent Manager
https://api.propexo.com/v1/recurring-resident-charges/rentmanager/:recurring_resident_charge_id| Method |
|---|
| POST /RecurringCharges/{RecurringChargeID} |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the charge code
The amount of the resident charge, in cents
Possible values: > 0
The frequency of the recurring resident charge
Show 3 enum values
DAILYMONTHLYWEEKLYDescription of the recurring resident charge
The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the recurring resident charge
The Propexo unique identifier for the charge code
The amount of the resident charge, in cents
Possible values: > 0
The frequency of the recurring resident charge
Show 3 enum values
DAILYMONTHLYWEEKLYDescription of the recurring resident charge
The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/recurring-resident-charges/rentmanager/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"charge_code_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"recurring_resident_charge_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"frequency_normalized": "DAILY",
"description": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
}